package ejb30.issue;

import java.io.Serializable;
import java.util.Date;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import javax.persistence.*;
import static javax.persistence.GenerationType.*;
import static javax.persistence.TemporalType.TIMESTAMP;

@Entity
@Table(name="TBL_DATE_TIME")
public class DateTime implements Serializable {
    private Integer id;
    private java.sql.Date sqlDate;
    private java.sql.Time sqlTime;
    private java.sql.Timestamp sqlTimestamp;
    private java.util.Date utilDate;
    private java.util.Calendar calendar;

    public DateTime() {
    }

    @Id
    @GeneratedValue(strategy=TABLE, generator="DATETIME_TABLE_GENERATOR")
    @TableGenerator(
        name="DATETIME_TABLE_GENERATOR", 
        table="DATETIME_SEQ", 
        pkColumnName="SEQ_NAME", 
        valueColumnName="SEQ_COUNT"
    )
    @Column(name="DT_ID")
    public Integer getId() { 
        return id; 
    }
    
    public void setId(Integer id) { 
        this.id = id; 
    }

    @Column(name="SQL_DATE")
    public java.sql.Date getSqlDate() { 
        return sqlDate; 
    }
    
    public void setSqlDate(java.sql.Date v) { 
        this.sqlDate = v; 
    }

    @Column(name="SQL_TIME")
    public java.sql.Time getSqlTime() { 
        return sqlTime; 
    }
    
    public void setSqlTime(java.sql.Time v) { 
        this.sqlTime = v; 
    }


    @Column(name="SQL_TS")
    public java.sql.Timestamp getSqlTimestamp() { 
        return sqlTimestamp; 
    }
    
    public void setSqlTimestamp(java.sql.Timestamp v) { 
        this.sqlTimestamp = v; 
    }

    @Column(name="UTIL_DATE")
    @Temporal(TIMESTAMP)
    public Date getUtilDate() { 
        return utilDate; 
    }
    
    public void setUtilDate(Date date) { 
        this.utilDate = date; 
    }

    @Column(name="CAL")
    @Temporal(TIMESTAMP)
    public Calendar getCalendar() { 
        return calendar; 
    }
    
    public void setCalendar(Calendar date) { 
        this.calendar = date; 
    }
}
